Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226988 - Install Fedora 7 Test 1 from DVD will not use free space on hard drive
Summary: Install Fedora 7 Test 1 from DVD will not use free space on hard drive
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 14:02 UTC by Gerry Tool
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-02 17:21:39 UTC


Attachments (Terms of Use)

Description Gerry Tool 2007-02-02 14:02:10 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Download, check Sha1sum, Burn F7T1 desktop DVD, Check media - pass
2. Use Custom Partitioning, Try to add a new partition in free space
3.
  
Actual results: Error message generated:
Could Not allocate requested partition.  Partitioning failed.  Could not
allocate partitions as primary partition. Not enough space left to create partiion.


Expected results: Create partition and format for installation.


Additional info: This is an AMD/Nvidia mainboard (Asus A8N-E) with one SATA
250GB drive, having 3 primary partitions, one extended partition containing 7
other logical partitions.  The new partition would be sda12.  There is 70GB free
space from which I requested a 10GB new partition.

I gave up and used one of the existing logical partitions (sda10) to install F7T1.

Comment 1 Chris Lumens 2007-03-02 15:46:07 UTC
Could you please attach /tmp/anaconda.log from a failed installation to this bug
report?  We'd like to narrow down if this is an anaconda bug or a parted bug as
the error message you're seeing is sort of a catch-all.

Comment 2 Gerry Tool 2007-03-02 17:21:39 UTC
I did a new install this morning, and of course everything worked, despite
having tried several times before I filed the bug.

However, I think I've figured out what happened.  A week or so ago, I decided to
try VMware and had to convert my winXP installation to a virtual copy.  I needed
disk space for this and using gparted discovered that the unallocated space was
not included in the extended partition (I have 3 other primary partitions.)  I
then increased the size of the extended partition to include all unallocated
space, and made a new logical partition with part of the space.

So, when I later installed Test 2 and this morning tried again with Test 1, the
free space was available to parted.

I will close this as NOTABUG.  The only improvement I could suggest is for
parted or anaconda to provide a different error message.  I see now that the
message "Could not allocate partitions as primary partition." was a hint, but
the following "Not enough space left to create partiion." left me confused.

Sorry for the false alarm and thanks for looking into it.


Note You need to log in before you can comment on or make changes to this bug.